.\" $NetBSD: adbkbd.4,v 1.3 2007/12/08 11:09:58 wiz Exp $
.\"
.\" Copyright (c) 2007
.\" 	Michael Lorenz.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd May 14, 2007
.Dt ADBKBD 4
.Os
.Sh NAME
.Nm adbkbd
.Nd support for ADB keyboards
.Sh SYNOPSIS
.Cd "adbkbd* at nadb?"
.Cd "wskbd* at adbkbd? console ? mux 1"
.Cd "wsmouse* at adbkbd?"
.Sh DESCRIPTION
The
.Nm
driver handles most ADB keyboards within the
.Xr wscons 4
framework.
It also provides an interface to translate key strokes to mouse
button events.
.Pp
Which keys are translated to mouse button events can be configured
for each individual keyboard via
.Xr sysctl 8 :
.Bl -tag
.It Dv machdep.adbkbd0.middle
Controls which scan code is used for middle mouse button events.
Default is 103, which corresponds to F11.
.It Dv machdep.adbkbd0.right
Controls which scan code is used for right mouse button events.
Default is 111, which corresponds to F12.
.El
.Sh SEE ALSO
.Xr nadb 4 ,
.Xr wskbd 4 ,
.Xr wsmouse 4 ,
.Xr wsconsctl 8 ,
.Xr wskbd 9
